Redmine - Patch #43125

Remove redundant fixtures declaration from OauthProviderSystemTest
2025-08-12 12:16 - Katsuya HIDAKA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version:

Description

This patch removes a redundant fixture declaration from the OauthProviderSystemTest class. The declaration was unnecessary
because fixtures :all is already declared in ActiveSupport::TestCase.

diff --git a/test/system/ocauth_provider_test.rb b/test/system/oauth_provider_test.rb
index 364ed4c944..df3f8fa7ed 100644
-—— a/test/system/ocauth_provider_test.rb
+++ b/test/system/ocauth_provider_test.rb
@@ -6,12 +6,6 @@
require 'puma'

class OauthProviderSystemTest < ApplicationSystemTestCase

- fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,

B :trackers, :projects_trackers, :enabled_modules, :issue_statuses, :issues,
= :enumerations, :custom_fields, :custom_values, :custom_fields_trackers,

= :watchers, :journals, :journal_details, :versions,

= :workflows

test 'application creation and authorization' do
#
# admin creates the application, granting permissions and generating a uuid

| have verfied that all tests incuding system tests pass.
https://github.com/hidakatsuya/redmine/actions/runs/16900512596/job/47878975048

Related issues:
Related to Redmine - Feature #24808: OAuth2 support for Redmine API Apps (OAu... Closed

Associated revisions

Revision 23914 - 2025-08-13 07:26 - Marius BALTEANU
Remove redundant fixtures declaration from OauthProviderSystemTest (#43125, 24808).

Patch by Katsuya HIDAKA (user:hidakatsuya).

History

#1 - 2025-08-13 07:26 - Marius BALTEANU
- Related to Feature #24808: OAuth2 support for Redmine API Apps (OAuth2 Provider) added

#2 - 2025-08-13 07:27 - Marius BALTEANU
- Status changed from New to Closed

- Assignee set to Marius BALTEANU

Committed as part #24808, thanks!

#3 - 2025-08-13 09:01 - Katsuya HIDAKA

Thank you for your commit. It looks like a linting error was introduced.

Layout/EmptyLinesAroundClassBody: Extra empty line detected at class body
https:/github.com/redmine/redmine/actions/runs/16928424735/job/47968640367

2025-08-13 1/2



https://github.com/hidakatsuya/redmine/actions/runs/16900512596/job/47878975048
https://www.redmine.org/issues/24808
Here is a patch to fix it:

diff --git a/test/system/ocauth_provider_test.rb b/test/system/oauth_provider_test.rb
index aaef65c86..df3f8fa7e 100644
-—— a/test/system/ocauth_provider_test.rb
+++ b/test/system/ocauth_provider_test.rb
@@ -6,7 +6,6 @@ require 'rack'
require 'puma'

class OauthProviderSystemTest < ApplicationSystemTestCase

test 'application creation and authorization' do

#

# admin creates the application, granting permissions and generating a uuid
